jQuery(document).ready(function(){	
function {{uc_id}}_start(){
		
  var objCarousel = jQuery('#{{uc_id}}');
   
  		objCarousel.owlCarousel({
			items: 1,
                loop: {{loop}},
                       
                setActiveClassOnMobile:{{active_on_mobile}},
                changeItemOnClick:{{scroll_on_click}},
                paddingType: "{{stage_padding_type}}", 
                center:{{center}},
                autoplayTimeout: {{autoplay_timeout}},
                autoplayHoverPause: {{autoplay_hover_pause}},
                smartSpeed: {{transition_speed}},
                navText: ["<i class='{{left_arrow}}'></i>","<i class='{{right_arrow}}'></i>"],		
                nav: {{show_arrows}},
                rtl: {{rtl}},
                navigation:true,
                autoplay: {{autoplay}},
				margin: {{margin_between_items}},
                responsive : {
					0 : {
						items:{{number_of_items_mobile}},
                        
                        {% if stage_padding_type != "none" %}
                             stagePadding: {{stagepadding_mobile}},
                        {% endif %}	
					},
					768 : {
						items:{{number_of_items_tablet}},
                                
                        {% if stage_padding_type != "none" %}
                             stagePadding: {{stagepadding_tablet}},
                        {% endif %}	        
					},
					980 : {
						items:{{number_of_items}},
                        
                        {% if stage_padding_type != "none" %}
                             stagePadding: {{stagepadding}},
                        {% endif %}        
					} 
			}
		  });
  
		{{ucfunc("put_remote_parent_js","objCarousel")}}  
  
	objCarousel.on("uc_ajax_sethtml",function(event, htmlItems, isAppend){
      	
      	objCarousel.trigger("replace.owl.carousel",htmlItems);
      	objCarousel.trigger("refresh.owl.carousel");
               
    });
  
  
}if(jQuery("#{{uc_id}}").length) {{uc_id}}_start(); else
	jQuery( document ).on( 'elementor/popup/show', () => { if(jQuery("#{{uc_id}}").length) {{uc_id}}_start();});
});